Bug 76737 - Instructions for building a custom kernel leave out a required step
Instructions for building a custom kernel leave out a required step
Product: Red Hat Linux
Classification: Retired
Component: rhl-cg (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tammy Fox
Tammy Fox
Depends On:
  Show dependency treegraph
Reported: 2002-10-25 12:53 EDT by Mark Harig
Modified: 2007-04-18 12:47 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2002-10-25 22:35:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Mark Harig 2002-10-25 12:53:30 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.1) Gecko/20021003

Description of problem:
On page 258 of the Red Hat 8.0 Customization Guide, the third paragragh is:

"If you want to use the settings of a default Red Hat Linux kernel, copy the
configuration file from the /usr/src/linux-2.4/configs directory to
/usr/src/linux-2.4/.config.  Then, run the 'make xconfig' command and only make
the desired changes. Be sure to save your changes to the configuration file."

Because I had no desired changes, I did not run 'make xconfig'.

The next paragraph begins with:

"Other available methods for kernel configuration are listed below:"

Further down the page is item 6:

"6. After creating a /usr/src/linux-2.4/.config file, use the command 'make dep'
to set up all the dependencies correctly."

Somewhere between the third paragraph and item 6, a clear statement needs to be
added to tell the reader that it is insufficient to simply copy an existing
configuration file to /usr/src/linux-2.4/.config, but that one of the
xconfig/config/menuconfig/oldconfig targets *MUST* be updated also.

Version-Release number of selected component (if applicable):
rhl-cg(EN)-8.0-Print-RHI (2002-08-14T17:28-0400)

How reproducible:

Steps to Reproduce:
1.Read page 258 of the Red Hat Linux 8.0 Customization Guide.


Actual Results:  Because I did not run 'make oldconfig' after copying a
configuration file to /usr/src/linux-2.4/.config, I could not update the
dependencies using 'make dep' without errors.

Additional info:

Please see bug report 75359 for the origin of this bug report.
Comment 1 Tammy Fox 2002-10-25 22:35:17 EDT
Thank you for the help. I will look into the problem more thoroughly
and make sure it is documented clearer in the next version.
Comment 2 Tammy Fox 2002-12-12 14:51:47 EST
I added a sentence at the end of the third paragraph saying that you must
run make xconfig or equivalent before continuing. It will appear in the next

Note You need to log in before you can comment on or make changes to this bug.